System.Design 1.0.5000.0 2.0.0.0 System.Windows.Forms.Design.ScrollableControlDesigner System.ComponentModel.Design.IRootDesigner System.Drawing.Design.IToolboxUser

This designer is a root designer, meaning that it provides the root-level design mode view for the associated document when it is viewed in design mode.

You can associate a designer with a type using a . For an overview of customizing design time behavior, see Extending Design-Time Support.

Base designer class for extending the design mode behavior of, and providing a root-level design mode view for, a that supports nested controls and should receive scroll messages.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Checks for the existence of a menu editor service and creates one if one does not already exist.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Windows.Forms.Design.Behavior.GlyphCollection `` To be added.

  Gets a representing the objects.

  A collection of objects.

  A value that specifies the selection state.
- Method
  System.Boolean ``

  If a tool is supported, it will be enabled in the toolbox when the designer receives focus. Otherwise, it will be disabled. Once a tool is marked as enabled or disabled it can not be queried again.

  Indicates whether the specified tool is supported by the designer.

  true if the tool should be enabled on the toolbox; false if the document designer doesn't know how to use the tool.

  The to test for toolbox support. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Initializes the designer with the specified component.

  The to associate with the designer. 1.0.5000.0 2.0.0.0
- Field
  System.Windows.Forms.Design.IMenuEditorService To be added.

  Initializes the menuEditorService variable to null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This method displays the context menu of the document designer.

  Called when the context menu should be displayed.

  The horizontal screen coordinate to display the context menu at. The vertical screen coordinate to display the context menu at. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Called immediately after the handle for the designer has been created.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  System.Void To be added. To be added.
- Method
  System.Void ``

  This interface method override adds a set of properties to this designer's component at design time. This method adds the following browsable properties: "Location", and "BackColor".

  Adjusts the set of properties the component exposes through a .

  An that contains the properties for the class of the component. 1.0.5000.0 2.0.0.0
- Property
  System.Windows.Forms.Design.SelectionRules To be added.

  This method returns a that prevents the document from being resized.

  Gets the for the designer.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An object that represents the view for this designer.

  A that indicates a particular view technology.
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Design.ViewTechnology[] To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true if the tool is supported by the toolbox and can be enabled; false if the document designer does not know how to use the tool.

  The to be tested for toolbox support.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The to select.
- Method
  System.Void ``

  is called when the user double-clicks on a toolbox item. The document designer should create a component for the specified tool. Only tools that are enabled in the toolbox will be passed to this method.

  Selects the specified tool.

  The to create a component for. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
System.ComponentModel.ToolboxItemFilter("System.Windows.Forms")